Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class TilePart

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.TilePart

    public class TilePart

extends java.lang.Object

Encapsulation of a tile-part in a JPEG 2000 codestream.

Author:
  Gary McGath

Constructor Summary
`TilePart(Tile tile, int index)` Constructor.

Method Summary
`Property` | `makeProperty()` Returns a Property based on the TilePart.
`void` | `setLength(long len)` Sets the length field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilePart

    public TilePart(Tile tile,
                    int index)

  Constructor.

  Parameters:
    `tile` - The Tile of which this is a part
    `index` - The index of this tile part

Method Detail

### setLength

    public void setLength(long len)

  Sets the length field. This must be called before calling makeProperty.

### makeProperty

    public Property makeProperty()

  Returns a Property based on the TilePart. The Property is named "TilePart".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD